> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Finding



## OpenAPI

````yaml POST /v1/alerts/{alert_uuid}/findings
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/alerts/{alert_uuid}/findings:
    post:
      tags:
        - alerts
      summary: Add Finding
      operationId: add_finding_v1_alerts__alert_uuid__findings_post
      parameters:
        - name: alert_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Alert Uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FindingCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponse_FindingResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FindingCreate:
      properties:
        agent_name:
          type: string
          maxLength: 255
          minLength: 1
          title: Agent Name
        summary:
          type: string
          maxLength: 50000
          minLength: 1
          title: Summary
        confidence:
          anyOf:
            - $ref: '#/components/schemas/FindingConfidence'
            - type: 'null'
        recommended_action:
          anyOf:
            - type: string
            - type: 'null'
          title: Recommended Action
        evidence:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Evidence
      type: object
      required:
        - agent_name
        - summary
      title: FindingCreate
      description: Agent finding posted to POST /v1/alerts/{uuid}/findings.
    DataResponse_FindingResponse_:
      properties:
        data:
          $ref: '#/components/schemas/FindingResponse'
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[FindingResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FindingConfidence:
      type: string
      enum:
        - low
        - medium
        - high
      title: FindingConfidence
    FindingResponse:
      properties:
        id:
          type: string
          title: Id
        agent_name:
          type: string
          title: Agent Name
        summary:
          type: string
          title: Summary
        confidence:
          anyOf:
            - $ref: '#/components/schemas/FindingConfidence'
            - type: 'null'
        recommended_action:
          anyOf:
            - type: string
            - type: 'null'
          title: Recommended Action
        evidence:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Evidence
        posted_at:
          type: string
          format: date-time
          title: Posted At
      type: object
      required:
        - id
        - agent_name
        - summary
        - confidence
        - recommended_action
        - evidence
        - posted_at
      title: FindingResponse
      description: Response from POST /v1/alerts/{uuid}/findings and items in GET list.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````